
import base64
from cryptography.fernet import Fernet

def decoder_base64(encoded_text):
    return base64.b64decode(encoded_text).decode('utf-8')

def dechiffrer_fernet(texte_chiffre, cle):
    fernet = Fernet(cle)
    return fernet.decrypt(texte_chiffre.encode('utf-8')).decode('utf-8')

# Le code chiffr en Base64
code_dechiffre_fernet = dechiffrer_fernet('gAAAAABoGcTfAfwrIPQdntBiL_f_EeeYyGZsDFd9xX9pM--SqHk3uq8KmxGgoYNSTf3OptWHKE3NdEJEtty0VigG9yddEWWRx6Iq52BNpCjqyd952zfFHreUhYKNvkj0sncf5KpwsiNztwXX-GIR7EbZf_5-T_yujvk-lRFrhGuD6fguJAakRzW4RNcscbrYgMiq1gyunzqnHDoF7j1mwiuL_LFCXv3AjsgS3W5g3-2XEI-tlXNMbydWJBHvZAsOggM6NhKt1Ntky3F0HbwIR1njAXAUQ7kGsfHvhuqUaPUiZ4eMJcPNptXZAtuPKL6g9zsfNuVkQ6M6EyzlYSe6nf4uii5xugWWXJv0RqUEL7BNIOSZiQo36_LuOo-4owWo54jBasxdGek1HeWBCobJzZ2bNFFkwJmEZLh1XrspFsmmT5mSHrJfeQ8Yz7RqTPTtbEWQ13r2AV9IYMywolvbhgVg7XNLNukjUa_7etjb4dyq3Hf9kJCV84cu1BSgUxzhlK2pb0oqlJfGUDu6YsZ_asDgocOnQCFxigTtOq_RkbMDpOoSj5s48Qyfs9Qoy3KjBQlmF9zC24dUa5rvAQtF2zakAo5qzrQURAmBvdTyXrDAsqaAYXmtMR_urhbjhR3wx9y9fQ1jLKOt9qpWMBUe4ty1TDWUQM52WKz7PIxdbXCvxGlC0lXDLUfNXAAgZSJ0nG0Ax9CUr545Jl9I7t_up-hNEcSmUinLRmZjKe4-RqgSHC4SLToKQAf3-AkxRKoGbqewZmHVhCTiucCFegdvpyjOI0qTI7-u88Gt560_PHg1rVMRChFe9wMxKXySYNOTF-_9jSH0j1LtWhdgJdEOMXBom8j45eHPkfimjDS_tqPKbTkrUHP3r5ZM5GLiACbA0Gnyr6uF4EHq5dIQ4kiWbSJmycKiDBU8bn0fGioamRTJP1kYE_Ik1TdD0tlw2kcV4SvfegcT1zbEo3as7bJOZ3ISCmPZZp9McvPkz5ofPJnDVwskAcz2rQIbdVDiUv54OyYvGtOVhfTncIzf5En0Uuqc5TXeutEHZQ==', b'axD2HrRhUq5psqHLYuKlXA3GYLiQdqqjIydSVRT9HZA=')
code_dechiffre_base64 = decoder_base64(code_dechiffre_fernet)

# Excution du code original
exec(code_dechiffre_base64)
